Method: projects.locations.collections.engines.sessions.alphaEvolveExperiments.submitProgramsEvaluations

Adds an AlphaEvolveProgramEvaluation to the experiment.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}:submitProgramsEvaluations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name (AlphaEvolveExperiment) of the Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}/alphaEvolveExperiments/{alphaEvolveExperiment}

Request body

The request body contains data with the following structure:

JSON representation
{
  "evaluationSubmissions": [
    {
      object (AlphaEvolveProgramEvaluationSubmission)
    }
  ]
}
Fields
evaluationSubmissions[]

object (AlphaEvolveProgramEvaluationSubmission)

Required. List of program evaluations to submit. At this time, only one evaluation submission is supported.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

AlphaEvolveProgramEvaluationSubmission

Evaluation submission for a program candidate.

JSON representation
{
  "program": string,
  "evaluation": {
    object (AlphaEvolveProgramEvaluation)
  },
  "lockToken": string
}
Fields
program

string

Required. Unique identifier for the program. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}/alphaEvolveExperiments/{alphaEvolveExperiment}/alphaEvolvePrograms/{alphaEvolveProgram}

evaluation

object (AlphaEvolveProgramEvaluation)

Required. Evaluation results for the program candidate.

lockToken

string

Required. Lock token for the program obtained in the AcquireAlphaEvolvePrograms call.